Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 19 Jun 2020 12:43:11 -0700
From:      David Christensen <dpchrist@holgerdanske.com>
To:        freebsd-questions@freebsd.org
Subject:   Re: ImageMagick6 fails make on Perl version?
Message-ID:  <4b7964c4-d6cf-c4d2-9de3-2c97147fb78a@holgerdanske.com>
In-Reply-To: <e8c5b805-5f83-cd20-2a5f-0d43f5d5f201@holgerdanske.com>
References:  <20200619094507.456b92e9@3bsd> <e8c5b805-5f83-cd20-2a5f-0d43f5d5f201@holgerdanske.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On 2020-06-19 12:38, David Christensen wrote:
> On 2020-06-19 01:45, Graham Bentley wrote:

>> p5-Locale-libintl-1.31 env: /usr/local/bin/perl5.30.3: No such file or
>> directory *** Error code 127

> I upgraded all my packages recently:
> 
> # pkg update
> <snip>
> 
> # pkg upgrade
> <snip>
> 
> 
> Perl was upgraded to the version you cite:
> 
> # perl -v | head -n 2
> 
> This is perl 5, version 30, subversion 2 (v5.30.2) built for 
> amd64-freebsd-thread-multi

Do'h! -- wrong server.  I will update it now:


2020-06-19 12:37:20 toor@f3 ~
# pkg update
Updating FreeBSD repository catalogue...
Fetching meta.txz: 100%    916 B   0.9kB/s    00:01
Fetching packagesite.txz: 100%    6 MiB   3.2MB/s    00:02
Processing entries: 100%
FreeBSD repository update completed. 31523 packages processed.
All repositories are up to date.

2020-06-19 12:40:32 toor@f3 ~
# pkg upgrade
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
Checking for upgrades (2 candidates): 100%
Processing candidates (2 candidates): 100%
The following 2 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
	perl5: 5.30.2 -> 5.30.3
	python37: 3.7.7 -> 3.7.7_1

Number of packages to be upgraded: 2

30 MiB to be downloaded.

Proceed with this action? [y/N]: y
[1/2] Fetching python37-3.7.7_1.txz: 100%   16 MiB   3.3MB/s    00:05
[2/2] Fetching perl5-5.30.3.txz: 100%   14 MiB   2.9MB/s    00:05
Checking integrity... done (0 conflicting)
[1/2] Upgrading python37 from 3.7.7 to 3.7.7_1...
[1/2] Extracting python37-3.7.7_1: 100%
[2/2] Upgrading perl5 from 5.30.2 to 5.30.3...
[2/2] Extracting perl5-5.30.3: 100%


David



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?4b7964c4-d6cf-c4d2-9de3-2c97147fb78a>